Page MenuHomePhabricator

[mips][microMIPS] Fix bugs related to atomic SC/LL instructions
ClosedPublic

Authored by jkolek on Dec 15 2014, 8:49 AM.

Details

Summary

Fix bugs related to atomic microMIPS SC/LL instructions: While emitting atomic binary partials the encoding of mips32r2 was emitted instead of micromips of the instructions.

Diff Detail

Repository
rL LLVM

Event Timeline

jkolek updated this revision to Diff 17288.Dec 15 2014, 8:49 AM
jkolek retitled this revision from to [mips][microMIPS] Fix bugs related to atomic SC/LL instructions.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: dsanders, sstankovic, vmedic.
jkolek added subscribers: Unknown Object (MLST), zoran.jovanovic, petarj.
jkolek updated this revision to Diff 17396.Dec 17 2014, 9:32 AM
jkolek updated this revision to Diff 17443.Dec 18 2014, 7:53 AM
sstankovic accepted this revision.Dec 18 2014, 8:01 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Dec 18 2014, 8:01 AM
This revision was automatically updated to reflect the committed changes.